Bug 202182 - Module cnd.dwarfdump should be compiled for java 1.5
Module cnd.dwarfdump should be compiled for java 1.5
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0
PC Solaris
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
701patch2-verified, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-15 12:41 UTC by Alexander Simon
Modified: 2011-09-29 11:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-09-15 12:41:18 UTC
OSS executes cnd.dwarfdump module remotely to get dwarf information about remote binary file.
Remote host can have only java 1.5.
The module cannot be executed on such remote host.
Please compile module with "-target 1.5" javac option.
Comment 1 Alexander Simon 2011-09-15 12:51:05 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/b6a961f01955
Comment 2 Vladimir Voskresensky 2011-09-15 12:55:49 UTC
fix is safe and correct. Please check if it runs correctly on java 5 (any tests?)
Comment 3 Alexander Simon 2011-09-15 13:10:23 UTC
(In reply to comment #2)
> Please check if it runs correctly on java 5 (any tests?)
It works on java 1.5.
Usages of executing module are located in OSS and hence tests should be in OSS.
Comment 4 Alexander Simon 2011-09-15 14:37:44 UTC
tests in change set:
http://hg.netbeans.org/cnd-main/rev/33a92d156d04
Comment 5 Alexander Simon 2011-09-15 14:45:50 UTC
transplanted in releases_elif branch release701_fixes
b6a961f01955 transplanted to ae0ffa39316c
Comment 6 Quality Engineering 2011-09-17 14:22:10 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/b6a961f01955
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #202182 Module cnd.dwarfdump should be compiled for java 1.5
Comment 7 Alexander Pepin 2011-09-21 15:36:51 UTC
verified in oss-platform-build #66 (20110921)
Comment 8 Quality Engineering 2011-09-26 13:36:51 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/ae0ffa39316c
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #202182 Module cnd.dwarfdump should be compiled for java 1.5
(transplanted from b6a961f0195534b703bd42729271c39787d0c9da)
Comment 9 Alexander Pepin 2011-09-29 11:44:02 UTC
verified in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo